// Use LANG environment variable to choose locale
pref("intl.locale.matchOS", true);

// Disable default mailer checking.
pref("mail.shell.checkDefaultMail", false);

// Enable Network Manager integration
pref("network.manage-offline-status", true);

// Don't disable our bundled extensions in the application directory
pref("extensions.autoDisableScopes", 3);
pref("extensions.shownSelectionUI", true);

// Enable system alerts
pref("mail.biff.use_system_alert", true);

// Use the system locale
pref("intl.locale.requested", "");

// Allow the use of existing GPG keyrings
pref("mail.openpgp.allow_external_gnupg", true);

// Trisquel settings
pref("app.releaseNotesURL", "http://trisquel.info/wiki/Icedove");
pref("app.vendorURL", "http://trisquel.info/wiki/Icedove");

// PFS url
pref("pfs.datasource.url", "https://trisquel.info/sites/pfs.php?mime=%PLUGIN_MIMETYPE%");
pref("pfs.filehint.url", "https://trisquel.info/sites/pfs.php?mime=%PLUGIN_MIMETYPE%");

// DuckDuckGo
pref("keyword.URL", "https://duckduckgo.com/?t=trisquel&q=!+");
pref("browser.search.defaultenginename", "DuckDuckGo");
pref("browser.search.order.1", "DuckDuckGo");
pref("browser.search.defaultenginename", "DuckDuckGo");
pref("browser.search.showOneOffButtons", false);
pref("browser.search.suggest.enabled",false);

// Disable third party cookies
pref("network.cookie.cookieBehavior", 1);

// Extensions cannot be updated without permission
pref("extensions.update.enabled", false);
pref("extensions.systemAddon.update.enabled", false);
pref("lightweightThemes.update.enabled", false);

// Don't show suggested provider list
pref("mail.provider.enabled", false);
pref("mail.provider.providerList", "");
pref("mail.provider.suggestFromName", "");

// Don't prompt if not default mail client
pref("mail.shell.checkDefaultClient", false);

// Preferences for the Get Add-ons panel
pref("extensions.webservice.discoverURL", "https://directory.fsf.org/wiki/Icedove");
pref("extensions.getAddons.search.url", "https://trisquel.info");
pref("extensions.blocklist.enabled", false);

// Dictionary download preference
pref("spellchecker.dictionaries.download.url", "http://dictionaries.mozdev.org/installation.html");

// Privacy protections
pref("mail.rights.version", 1);
pref("toolkit.telemetry.prompted", 2);
pref("toolkit.telemetry.rejected", true);
pref("mailnews.start_page.enabled", false);
pref("mailnews.start_page.url", "");
pref("mailnews.start_page.override_url", "");
pref("app.update.auto", false);
pref("app.update.enabled", false);
pref("browser.search.update", false);

pref("app.update.url.manual", "https://trisquel.info/wiki/icedove");
pref("mail.cloud_files.inserted_urls.footer.link", "https://trisquel.info/wiki/icedove");
pref("mail.cloud_files.learn_more_url", "https://trisquel.info/wiki/icedove");
pref("mail.ignore_thread.learn_more_url", "https://trisquel.info/wiki/icedove");
pref("mail.pgpmime.addon_url", "https://enigmail.net/");
pref("app.support.baseURL", "https://trisquel.info/wiki/icedove");
pref("app.update.url.manual", "https://trisquel.info/wiki/icedove");
// Send to the Icedove wiki as we have no addon store to recommend
pref("extensions.getAddons.link.url", "https://trisquel.info/wiki/icedove");
pref("extensions.getAddons.search.browseURL", "https://trisquel.info/en/browser-plain?keys=%TERMS%&tid=All");
pref("extensions.getAddons.search.url", "https://trisquel.info/en/browser-plain?keys=%TERMS%&tid=All");

// Disable telemetry pings to enhance privacy.
pref("toolkit.telemetry.archive.enabled", false);
pref("toolkit.telemetry.unified", false);
pref("toolkit.telemetry.updatePing.enabled", false);
pref("toolkit.telemetry.shutdownPingSender.enabled", false);
pref("toolkit.telemetry.newProfilePing.enabled", false);
pref("toolkit.telemetry.firstShutdownPing.enabled", false);
pref("toolkit.telemetry.bhrPing.enabled", false);
pref("browser.ping-centre.telemetry", false);
pref("dom.security.unexpected_system_load_telemetry_enabled", false);

